Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.proxy.ejb
Class GenericEJBInterceptor

    java.lang.Object
      org.jboss.proxy.Interceptor
          org.jboss.proxy.ejb.GenericEJBInterceptor

All Implemented Interfaces:
  Externalizable, Serializable

Direct Known Subclasses:
  EntityInterceptor, HomeInterceptor, StatefulSessionInterceptor, StatelessSessionInterceptor

public abstract class GenericEJBInterceptor
extends Interceptor
implements Externalizable

The base EJB behavior interceptor.

Version:
  $Revision: 1.4 $
Author:
  Marc Fleury, Scott.Stark@jboss.org
See Also:
  Serialized Form

Field Summary
`protected static Method` | `EQUALS`
`protected static Method` | `GET_EJB_HOME`
`protected static Method` | `GET_HANDLE`
`protected static Method` | `GET_PRIMARY_KEY`
`protected static Method` | `HASH_CODE`
`protected static Method` | `IS_IDENTICAL`
`protected static Method` | `TO_STRING`

Fields inherited from class org.jboss.proxy.Interceptor
`nextInterceptor`

Constructor Summary
`GenericEJBInterceptor()` A public, no-args constructor for externalization to work.

Method Summary
`protected javax.ejb.EJBHome` | `getEJBHome(Invocation invocation)`

Methods inherited from class org.jboss.proxy.Interceptor
`getNext, invoke, readExternal, setNext, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.Externalizable
`readExternal, writeExternal`

Field Detail

### TO_STRING

    protected static final Method TO_STRING

### HASH_CODE

    protected static final Method HASH_CODE

### EQUALS

    protected static final Method EQUALS

### GET_PRIMARY_KEY

    protected static final Method GET_PRIMARY_KEY

### GET_HANDLE

    protected static final Method GET_HANDLE

### GET_EJB_HOME

    protected static final Method GET_EJB_HOME

### IS_IDENTICAL

    protected static final Method IS_IDENTICAL

Constructor Detail

### GenericEJBInterceptor

    public GenericEJBInterceptor()

  A public, no-args constructor for externalization to work.

Method Detail

### getEJBHome

    protected javax.ejb.EJBHome getEJBHome(Invocation invocation)
                                    throws NamingException

  Throws:
    `NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.